http://devices.iot1click.{region}.amazonaws.com/devices/{deviceId}/methodsGiven a device ID, issues a request to invoke a named device method (with possible parameters). See the "Example POST" code snippet below.
The unique identifier of the device.
The device method to invoke.
A JSON encoded string containing the device method request parameters.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://devices.iot1click.{region}.amazonaws.com/devices/{deviceId}/methods' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://devices.iot1click.{region}.amazonaws.com/devices/{deviceId}/methodsGiven a device ID, issues a request to invoke a named device method (with possible parameters). See the "Example POST" code snippet below.
The unique identifier of the device.
The device method to invoke.
A JSON encoded string containing the device method request parameters.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://devices.iot1click.{region}.amazonaws.com/devices/{deviceId}/methods' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}